Enable or disable current user avatar
curl --request PATCH \
--url https://{host}/frontend/api/v1/user/current/avatar/{avatar-action}/{avatar-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/frontend/api/v1/user/current/avatar/{avatar-action}/{avatar-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/frontend/api/v1/user/current/avatar/{avatar-action}/{avatar-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avatar": {
"created": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
}{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}User
Enable or disable current user avatar
PATCH
/
frontend
/
api
/
v1
/
user
/
current
/
avatar
/
{avatar-action}
/
{avatar-id}
Enable or disable current user avatar
Authorizations
api_key_headerapi_keyjwt-tokenjwt-cookiejwt
API Key Security (Header).
Path Parameters
Avatar Action
Available options:
enable, disable Avatar string ID
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I

